%include %{_rpmconfigdir}/macros.python3

Name: python3-cryptography
Version: 2.2.2
Release: 2
License: MIT
Summary: Provides cryptographic recipes and primitives to Python developers.
Url: https://pypi.python.org/pypi/cryptography/

Source: https://files.pythonhosted.org/packages/ec/b2/faa78c1ab928d2b2c634c8b41ff1181f0abdd9adf9193211bd606ffa57e2/cryptography-2.2.2.tar.gz


BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: openssl-devel < 1.1.0

BuildRequires: python3-cffi
BuildRequires: python3-asn1crypto
BuildRequires: python3-idna
BuildRequires: python3-six

Requires: python3-cffi
Requires: python3-asn1crypto
Requires: python3-idna
Requires: python3-six

%description
cryptography is a package which provides cryptographic recipes and primitives to
Python developers. It includes both high level recipes and low level interfaces
to common cryptographic algorithms such as symmetric ciphers, message digests,
and key derivation functions.

%prep
%setup -q -n cryptography-%{version}

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/cryptography*

%changelog
